Show / Hide Table of Contents

# Class ClientHelloInfo

Wraps up the client SSL hello information.

##### Inheritance

Object
ClientHelloInfo

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ClientHelloInfo

### Properties

| Improve this Doc View Source

#### Ciphers

##### Declaration

    public int[] Ciphers { get; }

##### Property Value

Type | Description
--- | ---
Int32[] |

| Improve this Doc View Source

#### CompressionData

##### Declaration

    public byte[] CompressionData { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### Extensions

##### Declaration

    public Dictionary<string, SslExtension> Extensions { get; set; }

##### Property Value

Type | Description
--- | ---
Dictionary<String, SslExtension> |

| Improve this Doc View Source

#### HandshakeVersion

##### Declaration

    public int HandshakeVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### MajorVersion

##### Declaration

    public int MajorVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### MinorVersion

##### Declaration

    public int MinorVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### Random

##### Declaration

    public byte[] Random { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### SessionId

##### Declaration

    public byte[] SessionId { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### SslProtocol

##### Declaration

    public SslProtocols SslProtocol { get; }

##### Property Value

Type | Description
--- | ---
SslProtocols |

| Improve this Doc View Source

#### Time

##### Declaration

    public DateTime Time { get; }

##### Property Value

Type | Description
--- | ---
DateTime |

### Methods

| Improve this Doc View Source

#### ToString()

Returns a String that represents this instance.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | A String that represents this instance.

##### Overrides

Object.ToString()